diff -Naur --no-dereference a/drivers/net/ethernet/ti/netcp.h b/drivers/net/ethernet/ti/netcp.h
--- a/drivers/net/ethernet/ti/netcp.h	2020-01-09 04:19:10.000000000 -0500
+++ b/drivers/net/ethernet/ti/netcp.h	2020-06-19 21:00:31.416227715 -0400
@@ -247,7 +247,7 @@
 /* SGMII functions */
 int netcp_sgmii_reset(void __iomem *sgmii_ofs, int port);
 bool netcp_sgmii_rtreset(void __iomem *sgmii_ofs, int port, bool set);
-int netcp_sgmii_get_port_link(void __iomem *sgmii_ofs, int port);
+bool netcp_sgmii_get_port_link(void __iomem *sgmii_ofs, int port);
 int netcp_sgmii_config(void __iomem *sgmii_ofs, int port, u32 interface);
 
 /* XGBE SERDES init functions */
diff -Naur --no-dereference a/drivers/net/ethernet/ti/netcp_sgmii.c b/drivers/net/ethernet/ti/netcp_sgmii.c
--- a/drivers/net/ethernet/ti/netcp_sgmii.c	2020-01-09 04:19:10.000000000 -0500
+++ b/drivers/net/ethernet/ti/netcp_sgmii.c	2020-06-19 21:00:31.416227715 -0400
@@ -83,13 +83,14 @@
 	return oldval;
 }
 
-int netcp_sgmii_get_port_link(void __iomem *sgmii_ofs, int port)
+bool netcp_sgmii_get_port_link(void __iomem *sgmii_ofs, int port)
 {
-	u32 status = 0, link = 0;
+	u32 status = 0;
+	bool link = false;
 
 	status = sgmii_read_reg(sgmii_ofs, SGMII_STATUS_REG(port));
 	if ((status & SGMII_REG_STATUS_LINK) != 0)
-		link = 1;
+		link = true;
 	return link;
 }
 
